Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024044
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-06-11 17:342013-07-23 17:52
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRMP24
StatusclosedFix in branchFixed in SCM revision9a8e0fe0c8a5
ProjectionnoneETAnoneTarget VersionRMP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP23SCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024044: RMP23 does not work in windows

DescriptionRMP23 does not work in windows

In file modules/org.openbravo.mobile.core/src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java

we are using "/" in line
String relativePath = "web/org.openbravo.mobile.core";
and we should use
String relativePath = "web" + File.separatorChar + "org.openbravo.mobile.core";

Also in line
"../../" + fileCompletePath.substring(fileCompletePath.indexOf(relativePath))
if we are working in windows, the system is going to return a URL with "\" instead of "/", for this reason we should replace the wrong characters:
assets.add("../../" + fileCompletePath.substring(fileCompletePath.indexOf(relativePath)).replace("\\","/"));

Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059370)
hgbot (developer)
2013-06-11 17:38

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: fb466d56e16383c92cc035b46d916805fbcd5f34
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0059417)
hgbot (developer)
2013-06-13 13:44

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 838da2ff036fdb2a4dd1aa6403decc45e1f58668
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0059452)
hgbot (developer)
2013-06-17 10:23

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 9a8e0fe0c8a598c183bf17708f815c87f7dc6c13
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9a8e0fe0c8a598c183bf17708f815c87f7dc6c13 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0059453)
priyam (administrator)
2013-06-17 10:27

closing as the issue status changed during emergency mp tagging process.
(0059723)
hgbot (developer)
2013-06-28 10:14

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: fb466d56e16383c92cc035b46d916805fbcd5f34
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0059729)
hgbot (developer)
2013-06-28 10:16

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 838da2ff036fdb2a4dd1aa6403decc45e1f58668
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0059730)
hgbot (developer)
2013-06-28 10:19

Repository: erp/pmods/org.openbravo.mobile.core.multiorder
Changeset: 9a8e0fe0c8a598c183bf17708f815c87f7dc6c13
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Tue Jun 11 17:38:51 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/9a8e0fe0c8a598c183bf17708f815c87f7dc6c13 [^]

Fixes issue 24044: RMP23 does not work in windows

---
M src/org/openbravo/mobile/core/MobileCoreApplicationCacheComponent.java
---
(0060188)
guilleaer (developer)
2013-07-23 17:51

reclosing

- Issue History
Date Modified Username Field Change
2013-06-11 17:34 jecharri New Issue
2013-06-11 17:34 jecharri Assigned To => jecharri
2013-06-11 17:38 hgbot Checkin
2013-06-11 17:38 hgbot Note Added: 0059370
2013-06-11 17:38 hgbot Status new => resolved
2013-06-11 17:38 hgbot Resolution open => fixed
2013-06-11 17:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^]
2013-06-11 17:38 jecharri Assigned To jecharri => marvintm
2013-06-12 09:03 marvintm Review Assigned To => marvintm
2013-06-12 09:03 marvintm Status resolved => closed
2013-06-12 09:03 marvintm Fixed in Version => RMP24
2013-06-13 13:44 hgbot Checkin
2013-06-13 13:44 hgbot Note Added: 0059417
2013-06-13 13:44 hgbot Status closed => resolved
2013-06-13 13:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^]
2013-06-17 10:23 hgbot Checkin
2013-06-17 10:23 hgbot Note Added: 0059452
2013-06-17 10:23 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9a8e0fe0c8a598c183bf17708f815c87f7dc6c13 [^]
2013-06-17 10:27 priyam Note Added: 0059453
2013-06-17 10:27 priyam Status resolved => closed
2013-06-28 10:14 hgbot Checkin
2013-06-28 10:14 hgbot Note Added: 0059723
2013-06-28 10:14 hgbot Status closed => resolved
2013-06-28 10:14 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9a8e0fe0c8a598c183bf17708f815c87f7dc6c13 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^]
2013-06-28 10:16 hgbot Checkin
2013-06-28 10:16 hgbot Note Added: 0059729
2013-06-28 10:16 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/fb466d56e16383c92cc035b46d916805fbcd5f34 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^]
2013-06-28 10:19 hgbot Checkin
2013-06-28 10:19 hgbot Note Added: 0059730
2013-06-28 10:19 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/838da2ff036fdb2a4dd1aa6403decc45e1f58668 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core.multiorder/rev/9a8e0fe0c8a598c183bf17708f815c87f7dc6c13 [^]
2013-07-23 17:51 guilleaer Note Added: 0060188
2013-07-23 17:52 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker